Bug 79944 - VIEWING: SmartChart displayed incorrectly
Summary: VIEWING: SmartChart displayed incorrectly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.5.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: OOXML-SmartArt
  Show dependency treegraph
 
Reported: 2014-06-12 16:21 UTC by Richard
Modified: 2018-10-27 02:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Org chart (22.51 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-12 16:21 UTC, Richard
Details
What it is supposed to look like (11.83 KB, image/png)
2014-06-12 16:25 UTC, Richard
Details
How it looks in LibreOffice 6.0 (64.10 KB, application/pdf)
2017-09-20 10:35 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard 2014-06-12 16:21:35 UTC
Created attachment 100929 [details]
Org chart

Problem description: Organizational chart done in MSOffice displayed incorrectly in LibreOffice.

Steps to reproduce:
1. Download document (SmartArt.docx)
2. Open in 4.2.4.2 or 4.3 beta 2
3. Enjoy

Current behavior:Text and boxes all mushed up

Expected behavior:Chart Displayed correctly

              
Operating System: Fedora
Version: 4.3.0.0.beta2
Comment 1 Richard 2014-06-12 16:25:00 UTC
Created attachment 100930 [details]
What it is supposed to look like
Comment 2 Marina Latini (CIB) 2014-06-12 16:51:22 UTC
Confirmed on LibreOffice:

* Version: 4.3.0.0.beta2
* Build ID: a06aa316117a6ff0f05c697c82831c227812d810

* Version: 4.2.4.2
* Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8

* Version: 4.2.2.1
* Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f

* Version: 4.1.6.2
* Build ID: 40ff705089295be5be0aae9b15123f687c05b0a

* Version: 4.1.5.3
* Build ID: 1c1366bba2ba2b554cd2ca4d87c06da81c05d24

All tests made on Ubuntu 14.04 x86_64 with fresh user profile.
Comment 3 Richard 2014-06-20 13:31:08 UTC
I have tested it in the 4.3 release candidate also
Comment 4 QA Administrators 2016-09-20 09:36:47 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2017-09-20 10:35:32 UTC
Still reproducible in

Version: 6.0.0.0.alpha0+
Build ID: 8abc7ba9784f7898576fbdd7a48f0ff9e4445a68
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 6 Xisco Faulí 2017-09-20 10:35:52 UTC
Created attachment 136396 [details]
How it looks in LibreOffice 6.0
Comment 7 QA Administrators 2018-10-27 02:55:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug